reverse.hpp File Reference

## Functions

template<typename Rng , typename I = iterator_t<Rng>>
CPP_TEMPLATE_AUX_0 | ranges::b (requires ` bidirectional_range< Rng > &&permutable< I >) bbborrowed_iterator_t< Rng > reverse(Rng &&rng)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename I , typename S >
CPP_TEMPLATE_AUX_0 | ranges::I (requires ` bidirectional_iterator< I > &&sentinel_for< S, I > &&permutable< I >) III reverse(I first
| function template `reverse`